DROP TABLE IF EXISTS `ploopi_mimetype`;
CREATE TABLE IF NOT EXISTS `ploopi_mimetype` (
  `ext` varchar(10) NOT NULL,
  `mimetype` varchar(255) NOT NULL,
  `filetype` varchar(50) NOT NULL,
  `group` varchar(30) NOT NULL,
  PRIMARY KEY  (`ext`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
LOCK TABLES `ploopi_mimetype` WRITE;
/*!40000 ALTER TABLE `ploopi_mimetype` DISABLE KEYS */;
INSERT INTO `ploopi_mimetype` (`ext`, `mimetype`, `filetype`, `group`) VALUES
('txt', 'text/plain', 'text', 'text'),
('html', 'text/html', 'html', 'text'),
('htm', 'text/html', 'html', 'text'),
('shtml', 'text/html', 'html', 'text'),
('shtm', 'text/html', 'html', 'text'),
('xhtml', 'text/xhtml', 'html', 'text'),
('xhtm', 'text/xhtml', 'html', 'text'),
('css', 'text/css', 'html', 'text'),
('js', 'application/javascript', 'script', 'text'),
('latex', 'application/x-latex', 'text', 'text'),
('g', 'text/plain', 'text', 'text'),
('bas', 'text/plain', 'text', 'text'),
('h', 'text/plain', 'text', 'text'),
('c', 'text/plain', 'text', 'text'),
('cc', 'text/plain', 'text', 'text'),
('cpp', 'text/plain', 'text', 'text'),
('hpp', 'text/plain', 'text', 'text'),
('java', 'text/plain', 'text', 'text'),
('hh', 'text/plain', 'text', 'text'),
('m', 'text/plain', 'text', 'text'),
('f90', 'text/plain', 'text', 'text'),
('csv', 'text/csv', 'text', 'text'),
('tsv', 'text/tab-separated-values', 'text', 'text'),
('php', 'application/x-httpd-php', 'script', 'text'),
('php3', 'application/x-httpd-php', 'script', 'text'),
('php4', 'application/x-httpd-php', 'script', 'text'),
('phtml', 'application/x-httpd-php', 'script', 'text'),
('sql', 'text/x-sql', 'text', 'text'),
('323', 'text/h323', 'text', 'text'),
('tcl', 'application/x-tcl', 'text', 'text'),
('tex', 'application/x-tex', 'text', 'text'),
('ltx', 'application/x-tex', 'text', 'text'),
('texi', 'application/x-tex', 'text', 'text'),
('ctx', 'application/x-tex', 'text', 'text'),
('py', 'text/x-python', 'script', 'text'),
('pl', 'text/x-perl', 'script', 'text'),
('info', 'text/plain', 'text', 'text'),
('msl', 'text/plain', 'text', 'text'),
('sct', 'text/scriptlet', 'text', 'text'),
('tpl', 'text/css', 'html', 'text'),
('text', 'text/plain', 'text', 'text'),
('nfo', '', 'document', 'text'),
('png', 'image/png', 'image', 'image'),
('gif', 'image/gif', 'image', 'image'),
('jpg', 'image/jpeg', 'image', 'image'),
('jpeg', 'image/jpeg', 'image', 'image'),
('jpe', 'image/jpeg', 'image', 'image'),
('jfif', 'image/jpeg', 'image', 'image'),
('bmp', 'image/bmp', 'image', 'image'),
('pcx', 'image/pcx', 'image', 'image'),
('tif', 'image/tiff', 'image', 'image'),
('tiff', 'image/tiff', 'image', 'image'),
('pnm', 'image/x-portable-anymap', 'image', 'image'),
('pbm', 'image/x-portable-bitmap', 'image', 'image'),
('pgm', 'image/x-portable-graymap', 'image', 'image'),
('ppm', 'image/x-portable-pixmap', 'image', 'image'),
('xbm', 'image/x-xbitmap', 'image', 'image'),
('xpm', 'image/x-xpixmap', 'image', 'image'),
('ico', 'image/x-icon', 'image', 'image'),
('svg', 'image/svg+xml', 'image', 'image'),
('svgz', 'image/svg+xml', 'image', 'image'),
('rgb', 'image/x-rgb', 'image', 'image'),
('jng', 'image/x-jng', 'image', 'image'),
('cdr', 'image/x-coreldraw', 'image', 'image'),
('pat', 'image/x-coreldrawpattern', 'image', 'image'),
('cdt', 'image/x-coreldrawtemplate', 'image', 'image'),
('cpt', 'image/x-corelphotopaint', 'image', 'image'),
('gif87', 'image/gif', 'image', 'image'),
('pef', 'image/tiff', 'image', 'image'),
('png24', 'image/png', 'image', 'image'),
('png32', 'image/png', 'image', 'image'),
('png8', 'image/png', 'image', 'image'),
('ras', 'image/x-cmu-raster', 'image', 'image'),
('xwd', 'image/x-xwindowdump', 'image', 'image'),
('art', '', 'image', 'image'),
('arw', '', 'image', 'image'),
('bmp2', '', 'image', 'image'),
('bmp3', '', 'image', 'image'),
('cin', '', 'image', 'image'),
('cmyk', '', 'image', 'image'),
('cmyka', '', 'image', 'image'),
('cr2', '', 'image', 'image'),
('crw', '', 'image', 'image'),
('cur', '', 'image', 'image'),
('cut', '', 'image', 'image'),
('dcm', '', 'image', 'image'),
('dcx', '', 'image', 'image'),
('dds', '', 'image', 'image'),
('dfont', '', 'image', 'image'),
('djvu', '', 'image', 'image'),
('dng', '', 'image', 'image'),
('dpx', '', 'image', 'image'),
('exr', '', 'image', 'image'),
('fax', '', 'image', 'image'),
('fig', '', 'image', 'image'),
('fits', '', 'image', 'image'),
('gray', '', 'image', 'image'),
('icb', '', 'image', 'image'),
('icon', '', 'image', 'image'),
('ipl', '', 'image', 'image'),
('jp2', '', 'image', 'image'),
('jpc', '', 'image', 'image'),
('jpx', '', 'image', 'image'),
('k25', '', 'image', 'image'),
('kdc', '', 'image', 'image'),
('mat', '', 'image', 'image'),
('miff', '', 'image', 'image'),
('mono', '', 'image', 'image'),
('mrw', '', 'image', 'image'),
('mtv', '', 'image', 'image'),
('mvg', '', 'image', 'image'),
('nef', '', 'image', 'image'),
('orf', '', 'image', 'image'),
('otb', '', 'image', 'image'),
('pal', '', 'image', 'image'),
('palm', '', 'image', 'image'),
('pam', '', 'image', 'image'),
('pcd', '', 'image', 'image'),
('pcds', '', 'image', 'image'),
('pcl', '', 'image', 'image'),
('pct', '', 'image', 'image'),
('pfm', '', 'image', 'image'),
('picon', '', 'image', 'image'),
('pict', '', 'image', 'image'),
('pix', '', 'image', 'image'),
('pjpeg', '', 'image', 'image'),
('ptif', '', 'image', 'image'),
('pwp', '', 'image', 'image'),
('rad', '', 'image', 'image'),
('raf', '', 'image', 'image'),
('rgba', '', 'image', 'image'),
('rla', '', 'image', 'image'),
('rle', '', 'image', 'image'),
('sfw', '', 'image', 'image'),
('sgi', '', 'image', 'image'),
('sr2', '', 'image', 'image'),
('srf', '', 'image', 'image'),
('sun', '', 'image', 'image'),
('tga', '', 'image', 'image'),
('tiff64', '', 'image', 'image'),
('tim', '', 'image', 'image'),
('uil', '', 'image', 'image'),
('uyvy', '', 'image', 'image'),
('vicar', '', 'image', 'image'),
('viff', '', 'image', 'image'),
('vst', '', 'image', 'image'),
('wbmp', '', 'image', 'image'),
('wmz', '', 'image', 'image'),
('wpg', '', 'image', 'image'),
('x3f', '', 'image', 'image'),
('xc', '', 'image', 'image'),
('xcf', '', 'image', 'image'),
('ycbcr', '', 'image', 'image'),
('ycbcra', '', 'image', 'image'),
('yuv', '', 'image', 'image'),
('thm', 'application/vnd.eri.thm', 'image', 'thumbnails'),
('pdb', '', 'document', 'thumbnails'),
('man', 'application/x-troff-man', 'document', 'unix'),
('bz2', 'application/x-bzip', 'archive', 'archive'),
('gz', 'application/x-gzip', 'archive', 'archive'),
('tar', 'application/x-tar', 'archive', 'archive'),
('tgz', 'application/x-gzip', 'archive', 'archive'),
('zip', 'application/zip', 'archive', 'archive'),
('z', 'application/x-compress', 'archive', 'archive'),
('sit', 'application/x-stuffit', 'archive', 'archive'),
('sitx', 'application/x-stuffit', 'archive', 'archive'),
('lzh', 'application/lzh', 'archive', 'archive'),
('lhw', 'application/lzh', 'archive', 'archive'),
('lzs', 'application/lzh', 'archive', 'archive'),
('lzw', 'application/lzh', 'archive', 'archive'),
('ace', 'application/x-ace', 'archive', 'archive'),
('rar', 'application/x-rar', 'archive', 'archive'),
('arj', 'application/x-arj', 'archive', 'archive'),
('7z', 'application/x-7z-compressed', 'archive', 'archive'),
('rpm', 'application/x-redhat-package', 'package', 'package'),
('deb', 'application/x-debian-package', 'package', 'package'),
('udeb', 'application/x-debian-package', 'package', 'package'),
('aif', 'audio/aiff', 'audio', 'audio'),
('aiff', 'audio/aiff', 'audio', 'audio'),
('aifc', 'audio/aiff', 'audio', 'audio'),
('mid', 'audio/midi', 'audio', 'audio'),
('midi', 'audio/midi', 'audio', 'audio'),
('kar', 'audio/midi', 'audio', 'audio'),
('rmi', 'audio/midi', 'audio', 'audio'),
('mp3', 'audio/mpeg', 'audio', 'audio'),
('mp2', 'audio/mpeg', 'audio', 'audio'),
('mpa', 'audio/mpeg', 'audio', 'audio'),
('ogg', 'audio/ogg', 'audio', 'audio'),
('wav', 'audio/wav', 'audio', 'audio'),
('wma', 'audio/x-ms-wma', 'audio', 'audio'),
('au', 'audio/basic', 'audio', 'audio'),
('snd', 'audio/basic', 'audio', 'audio'),
('flac', 'audio/flac', 'audio', 'audio'),
('aac', 'audio/mp4', 'audio', 'audio'),
('m4a', 'audio/mp4', 'audio', 'audio'),
('mka', 'audio/x-matroska', 'audio', 'audio'),
('ac3', 'audio/ac3', 'audio', 'audio'),
('mpc', 'audio/x-musepack', 'audio', 'audio'),
('mod', 'audio/x-mod', 'audio', 'audio/tracker'),
('xm', 'audio/x-xm', 'audio', 'audio/tracker'),
('xi', 'audio/x-xi', 'audio', 'audio/tracker'),
('s3m', 'audio/x-s3m', 'audio', 'audio/tracker'),
('stm', 'audio/x-stm', 'audio', 'audio/tracker'),
('it', 'audio/x-it', 'audio', 'audio/tracker'),
('asf', 'video/x-ms-asf', 'video', 'video'),
('asx', 'video/x-ms-asf', 'video', 'video'),
('avi', 'video/avi', 'video', 'video'),
('mpg', 'video/mpeg', 'video', 'video'),
('mpeg', 'video/mpeg', 'video', 'video'),
('mpe', 'video/mpeg', 'video', 'video'),
('wmv', 'video/x-ms-wmv', 'video', 'video'),
('wmx', 'video/x-ms-wmx', 'video', 'video'),
('qt', 'video/quicktime', 'video', 'video'),
('mov', 'video/quicktime', 'video', 'video'),
('movie', 'video/x-sgi-movie', 'video', 'video'),
('mp4', 'audio/mp4', 'video', 'video'),
('flv', 'video/x-flv', 'video', 'video'),
('mkv', 'video/x-matroska', 'video', 'video'),
('3gp', 'video/3gpp', 'video', 'video'),
('dv', 'video/dv', 'video', 'video'),
('dif', 'video/dv', 'video', 'video'),
('dl', 'video/dl', 'video', 'video'),
('h264', 'video/h264', 'video', 'video'),
('viv', 'video/vivo', 'video', 'video'),
('vivo', 'video/vivo', 'video', 'video'),
('mng', 'video/x-mng', 'video', 'video'),
('gl', 'video/gl', 'video', 'video'),
('fli', 'video/fli', 'video', 'video'),
('ra', 'audio/vnd.rn-realaudio', 'video', 'real'),
('ram', 'audio/x-pn-realaudio', 'video', 'real'),
('rm', 'application/vnd.rn-realmedia', 'video', 'real'),
('rv', 'video/vnd.rn-realvideo', 'video', 'real'),
('rmvb', 'application/vnd.rn-realmedia-vbr', 'video', 'real'),
('smil', 'application/smil', 'video', 'real'),
('smi', 'application/smil', 'video', 'real'),
('avs', '', 'video', 'video'),
('dps', '', 'video', 'video'),
('m2v', '', 'video', 'video'),
('m4v', '', 'video', 'video'),
('ogm', '', 'video', 'video'),
('vid', '', 'video', 'video'),
('pls', 'audio/scpls', 'audio', 'playlist'),
('m3u', 'audio/x-mpegurl', 'audio', 'playlist'),
('mxu', 'video/vnd.mpegurl', 'video', 'playlist'),
('pla', 'audio/x-iriver-pla', 'audio', 'playlist'),
('xml', 'text/xml', 'text', 'xml'),
('xsl', 'text/xsl', 'text', 'xml'),
('sgml', 'text/x-sgml', 'text', 'xml'),
('sgm', 'text/x-sgml', 'text', 'xml'),
('flr', 'x-world/x-vrml', 'text', 'xml'),
('vrml', 'x-world/x-vrml', 'text', 'xml'),
('wrl', 'x-world/x-vrml', 'text', 'xml'),
('wrz', 'x-world/x-vrml', 'text', 'xml'),
('xaf', 'x-world/x-vrml', 'text', 'xml'),
('xof', 'x-world/x-vrml', 'text', 'xml'),
('rss', 'application/rss+xml', 'text', 'xml'),
('rdf', 'application/rdf+xml', 'text', 'xml'),
('atom', 'application/atom+xml', 'text', 'xml'),
('opml', 'application/opml+xml', 'text', 'xml'),
('xul', 'application/vnd.mozilla.xul+xml', 'text', 'xml'),
('abw', 'application/x-abiword', 'document', 'office'),
('gnumeric', 'application/x-gnumeric', 'document', 'office'),
('kwd', 'application/x-kword', 'document', 'office'),
('kwt', 'application/x-kword', 'document', 'office'),
('ksp', 'application/x-kspread', 'spreadsheet', 'office'),
('kpr', 'application/x-kpresenter', 'presentation', 'office'),
('kpt', 'application/x-kpresenter', 'presentation', 'office'),
('doc', 'application/msword', 'document', 'microsoft'),
('dot', 'application/msword', 'document', 'microsoft'),
('xls', 'application/vnd.ms-excel', 'spreadsheet', 'microsoft'),
('xla', 'application/vnd.ms-excel', 'spreadsheet', 'microsoft'),
('xlc', 'application/vnd.ms-excel', 'spreadsheet', 'microsoft'),
('xlm', 'application/vnd.ms-excel', 'spreadsheet', 'microsoft'),
('xlt', 'application/vnd.ms-excel', 'spreadsheet', 'microsoft'),
('xlw', 'application/vnd.ms-excel', 'spreadsheet', 'microsoft'),
('pps', 'application/vnd.ms-powerpoint', 'presentation', 'microsoft'),
('ppt', 'application/vnd.ms-powerpoint', 'presentation', 'microsoft'),
('ppz', 'application/vnd.ms-powerpoint', 'presentation', 'microsoft'),
('pot', 'application/vnd.ms-powerpoint', 'presentation', 'microsoft'),
('hlp', 'application/mshelp', 'document', 'microsoft'),
('chm', 'application/mshelp', 'document', 'microsoft'),
('msg', 'application/vnd.ms-outlook', 'document', 'microsoft'),
('mpp', 'application/vnd.ms-project', 'document', 'microsoft'),
('wcm', 'application/vnd.ms-works', 'document', 'microsoft'),
('wdb', 'application/vnd.ms-works', 'document', 'microsoft'),
('wks', 'application/vnd.ms-works', 'document', 'microsoft'),
('wps', 'application/vnd.ms-works', 'document', 'microsoft'),
('mdb', 'application/x-msaccess', 'document', 'microsoft'),
('wmf', 'application/x-msmetafile', 'document', 'microsoft'),
('mny', 'application/x-msmoney', 'document', 'microsoft'),
('pub', 'application/x-mspublisher', 'presentation', 'microsoft'),
('scd', 'application/x-msschedule', 'document', 'microsoft'),
('trm', 'application/x-msterminal', 'document', 'microsoft'),
('wri', 'application/x-mswrite', 'document', 'microsoft'),
('vsd', 'application/vnd.visio', 'document', 'microsoft'),
('scr', '', 'exec', 'microsoft'),
('sxw', 'application/vnd.sun.xml.writer', 'document', 'open office'),
('stw', 'application/vnd.sun.xml.writer.template', 'document', 'open office'),
('sxg', 'application/vnd.sun.xml.writer.global', 'document', 'open office'),
('sxc', 'application/vnd.sun.xml.calc', 'spreadsheet', 'open office'),
('stc', 'application/vnd.sun.xml.calc.template', 'spreadsheet', 'open office'),
('sxi', 'application/vnd.sun.xml.impress', 'presentation', 'open office'),
('sti', 'application/vnd.sun.xml.impress.template', 'presentation', 'open office'),
('sxd', 'application/vnd.sun.xml.draw', 'image', 'open office'),
('std', 'application/vnd.sun.xml.draw.template', 'image', 'open office'),
('sxm', 'application/vnd.sun.xml.math', 'spreadsheet', 'open office'),
('odt', 'application/vnd.oasis.opendocument.text', 'document', 'open office'),
('otm', 'application/vnd.oasis.opendocument.text-master', 'document', 'open office'),
('ott', 'application/vnd.oasis.opendocument.text-template', 'document', 'open office'),
('odc', 'application/vnd.oasis.opendocument.chart', 'document', 'open office'),
('otc', 'application/vnd.oasis.opendocument.chart-template', 'document', 'open office'),
('odf', 'application/vnd.oasis.opendocument.formula', 'spreadsheet', 'open office'),
('odg', 'application/vnd.oasis.opendocument.graphics', 'image', 'open office'),
('otg', 'application/vnd.oasis.opendocument.graphics-template', 'image', 'open office'),
('odi', 'application/vnd.oasis.opendocument.image', 'image', 'open office'),
('oti', 'application/vnd.oasis.opendocument.image-template', 'image', 'open office'),
('odp', 'application/vnd.oasis.opendocument.presentation', 'presentation', 'open office'),
('otp', 'application/vnd.oasis.opendocument.presentation-template', 'presentation', 'open office'),
('ods', 'application/vnd.oasis.opendocument.spreadsheet', 'spreadsheet', 'open office'),
('ots', 'application/vnd.oasis.opendocument.spreadsheet-template', 'spreadsheet', 'open office'),
('oth', 'application/vnd.oasis.opendocument.text-web', 'html', 'open office'),
('rtf', 'text/rtf', 'document', 'rich text'),
('rtx', 'text/richtext', 'document', 'rich text'),
('pdf', 'application/pdf', 'document', 'adobe'),
('ai', 'application/postscript', 'image', 'adobe'),
('eps', 'application/postscript', 'document', 'adobe'),
('psd', 'image/psd', 'image', 'adobe'),
('ps', 'application/postscript', 'document', 'adobe'),
('dcr', 'application/x-director', 'document', 'adobe'),
('dir', 'application/x-director', 'document', 'adobe'),
('dxr', 'application/x-director', 'document', 'adobe'),
('swf', 'application/x-shockwave-flash', 'image', 'adobe'),
('swfl', 'application/x-shockwave-flash', 'image', 'adobe'),
('fla', 'application/x-shockwave-flash', 'image', 'adobe'),
('pdfa', '', 'document', 'adobe'),
('hqx', 'application/mac-binhex40', 'exec', 'binarie/executable'),
('exe', 'application/x-msdownload', 'exec', 'binarie/executable'),
('com', 'application/x-msdownload', 'exec', 'binarie/executable'),
('msi', 'application/x-msi', 'exec', 'binarie/executable'),
('class', 'application/x-java-class', 'exec', 'binarie/executable'),
('jar', 'application/java', 'exec', 'binarie/executable'),
('jad', 'text/vnd.sun.j2me.app-descriptor', 'exec', 'binarie/executable'),
('bin', '', 'exec', 'binarie/executable'),
('sh', 'application/x-sh', 'script', 'shell'),
('bat', 'application/x-msdownload', 'script', 'shell'),
('otf', 'font/opentype', 'document', 'fonts'),
('ttf', 'application/x-font-ttf', 'document', 'fonts'),
('ttc', 'application/x-font-ttf', 'document', 'fonts'),
('pfa', 'application/x-font-type1', 'document', 'fonts'),
('pfb', 'application/x-font-type1', 'document', 'fonts'),
('cer', 'application/x-x509-ca-cert', 'certificate', 'encoding/certificat'),
('crt', 'application/x-x509-ca-cert', 'certificate', 'encoding/certificat'),
('der', 'application/x-x509-ca-cert', 'certificate', 'encoding/certificat'),
('p12', 'application/x-pkcs12', 'certificate', 'encoding/certificat'),
('pfx', 'application/x-pkcs12', 'certificate', 'encoding/certificat'),
('p7b', 'application/x-pkcs7-certificates', 'certificate', 'encoding/certificat'),
('spc', 'application/x-pkcs7-certificates', 'certificate', 'encoding/certificat'),
('p7r', 'application/x-pkcs7-certreqresp', 'certificate', 'encoding/certificat'),
('p7c', 'application/x-pkcs7-mime', 'certificate', 'encoding/certificat'),
('p7m', 'application/x-pkcs7-mime', 'certificate', 'encoding/certificat'),
('p7s', 'application/x-pkcs7-signature', 'certificate', 'encoding/certificat'),
('iso', 'application/x-iso9660-image', 'cd', 'disk images'),
('nrg', 'application/x-extension-nrg', 'cd', 'disk images'),
('ccd', 'text/x-cdwizard', 'cd', 'disk images'),
('dmg', 'application/x-apple-diskimage', 'cd', 'disk images'),
('vcf', 'text/x-vcard', 'document', 'other'),
('vcs', 'text/x-vcalendar', 'calendar', 'other'),
('ics', 'text/calendar', 'calendar', 'other'),
('icz', 'text/calendar', 'calendar', 'other'),
('mht', 'message/rfc822', 'document', 'other'),
('mhtml', 'message/rfc822', 'document', 'other'),
('torrent', 'application/x-bittorrent', 'document', 'other');
/*!40000 ALTER TABLE `ploopi_mimetype` ENABLE KEYS */;
UNLOCK TABLES;

UPDATE `ploopi_module_type` SET `version` = '1.6.9.0.1', `author` = 'Ovensia', `date` = '20091027000000', `description` = 'Noyau du systme' WHERE `ploopi_module_type`.`id` = 1;